Page MenuHomePhabricator

Document editcontentmodel
Closed, ResolvedPublic

Description

For https://gerrit.wikimedia.org/r/#/c/196981/ T85847: Grant editcontentmodel right to all logged in users please update/add any needed onwiki documentation, e.g.

From a glance around, it looks like there are some details in the comments at T72592: Implement a user interface to change a page's content model when $wgContentHandlerUseDB = true;

Event Timeline

Quiddity created this task.Mar 2 2016, 6:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 6:09 AM

Change 274347 had a related patch set uploaded (by Legoktm):
Add help link for Special:ChangeContentModel

https://gerrit.wikimedia.org/r/274347

Nemo_bis triaged this task as Normal priority.

Change 274347 merged by jenkins-bot:
Add help link for Special:ChangeContentModel

https://gerrit.wikimedia.org/r/274347

Harej added a subscriber: Harej.Sep 3 2016, 1:38 AM

I substantially filled out https://www.mediawiki.org/wiki/Help:ChangeContentModel in a manner to be more-or-less accessible to a non-technical audience. (Inevitably there will be some technical speak but I think it should not be written like a technical manual.)

Harej added a comment.EditedSep 3 2016, 1:42 AM

In my opinion the contents of https://www.mediawiki.org/wiki/Help:Extension:MassMessage are orthogonal to this task but I think it is reasonably up to date in describing the ContentHandler-related functionality.

I also think https://www.mediawiki.org/wiki/Manual:ContentHandler looks fine to me. It would be wonderful if we had a step-by-step guide to using ContentHandler in a extension but unfortunately that's out of my depth.

Good stuff, Harej. :)
I made a few formatting tweaks, and I think that https://www.mediawiki.org/wiki/Help:ChangeContentModel is now ready to be marked for translation, and then this task basically resolved.

Would it be helpful to add some notes in another column at https://www.mediawiki.org/wiki/Content_handlers to explain why certain content models might be used? (Specifically text, which I don't understand the existence of, or if we use it anywhere on Wikimedia sites?)

Legoktm closed this task as Resolved.Sep 7 2016, 5:41 PM
Legoktm assigned this task to Harej.